# eiskaltdcpp-daemon

Section: User Commands (1)
Updated: 16 Jun 2013
Index Return to Main Contents

## NAME

eiskaltdcpp-daemon - simple daemon controllable via XMLRPC or JSONRPC

## SYNOPSIS

eiskaltdcpp-daemon -d
eiskaltdcpp-daemon <Key>

## DESCRIPTION

EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC protocol. It is compatible with other DC clients, such as the original DC from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all common DC hub software.

## COMMAND LINE OPTIONS

A summary of options is included below.

-d,--daemon
  Run program as daemon
-v,--verbose
  Verbose mode
-D,--debug
  Debug mode
-s,--syslog
  Use syslog in daemon mode
-S <file>,--log=<file>
  Write daemon log to <file> (default: @config_dir@/Logs/daemon.log)
-P <port>,--port=<port>
  Set port for XMLRPC or JSONRPC (default: 3121)
-L <ip>,--ip=<ip>
  Set IP address for XMLRPC or JSONRPC (default: 127.0.0.1)
-p file,--pidfile=<file>
  Write daemon process ID to <file>
-c dir,--confdir=<dir>
  Store config in <dir>
-l <dir>,--localdir=<dir>
  Store local data (cache, temp files) in <dir> (defaults is equal confdir)
-u <file>,--rpclog=<file>
  Write xmlrpc log to <file> (default: /tmp/eiskaltdcpp-daemon.xmlrpc.log)
-U <uripath>,--uripath=<uripath>
  Set UriPath for xmlrpc abyss server to <uripath> (default: /eiskaltdcpp)
-h, --help
  Display help and exit
-V, --version
  Show version information and exit

## FILES

~/.config/eiskaltdc++/ or $XDG_CONFIG_HOME/eiskaltdc++/
  Directory with user configuration files

## DOCUMENTATION

Detail documentation about available XMLRPC and JSONRPC methods can be found in our wiki:
  http://code.google.com/p/eiskaltdc/wiki/XMLRPC
  http://code.google.com/p/eiskaltdc/wiki/JSONRPC

## AUTHOR

This program was written by EiskaltDC++ developers team (see file AUTHORS).
EiskaltDC++ homepage: http://code.google.com/p/eiskaltdc/

## BUG REPORTS

If you find a bug in EiskaltDC++ please report it here: http://code.google.com/p/eiskaltdc/issues/list

This manual page was written by Boris Pek <tehnick-8@mail.ru> for the Debian project (and may be used by others).

## Index

NAME
SYNOPSIS
DESCRIPTION
COMMAND LINE OPTIONS
FILES
DOCUMENTATION
AUTHOR
BUG REPORTS

This document was created by man2html, using the manual pages.
Time: 17:26:19 GMT, June 16, 2013